uniform sampler2D tex1;
uniform sampler2D tex2;
uniform vec4 col;
uniform vec4 fill;
varying vec2 texC;

void main()
{
	vec4 color =  texture2D(tex1,texC);
	vec4 color2 =  texture2D(tex2,texC);
	gl_FragColor = color;
	gl_FragColor.a = 1.0 - pow((color2.r + color.b + color.g)*0.3333,1.41);
	gl_FragColor*=col;
	gl_FragColor.rgb+=fill.rgb*fill.a;
}